Bug 24340 - Test X configuration fails.
Test X configuration fails.
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Florence RC-1
Depends On:
  Show dependency treegraph
Reported: 2001-01-19 02:29 EST by Sam Varshavchik
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-30 21:42:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XF86Config for X 3.3.6 from Fisher. DefaultColorDepth in the "svga" section is the only problem. It should be 24, as I requested. (15.15 KB, text/plain)
2001-01-30 21:42 EST, Sam Varshavchik
no flags Details

  None (edit)
Description Sam Varshavchik 2001-01-19 02:29:45 EST
pcmcia.img install over http, text mode.  The video card:

00:06.0 VGA compatible controller: Chips and Technologies F65550 (rev c6)

00:06.0 VGA compatible controller: Chips and Technologies F65550 (rev c6)
(prog-if 00 [VGA])
	Flags: stepping, medium devsel
	Memory at c0000000 (32-bit, non-prefetchable) [size=16M]
	Expansion ROM at <unassigned> [disabled] [size=256K]

00:06.0 Class 0300: 102c:00e0 (rev c6)

I selected "Generic LCD 800x600 display".  Test X Configuration fails if I
select resolutions 800x600x24 and 640x480x24.

I have to select 800x600x16 and 640x480x16 for test X configuration to
succeed.  After installing, I can edit XF86Config, and flip
DefaultColorDepth from 16 to 24, and start X just fine.

Anaconda probably tries 32bpp, when it should use 24bpp, for this video
Comment 1 Michael Fulbright 2001-01-19 12:45:12 EST
Assigned to a developer.
Comment 2 Glen Foster 2001-01-19 16:55:44 EST
This defect is considered MUST-FIX for Florence Release-Candidate #1
Comment 3 Brent Fox 2001-01-24 16:15:33 EST
Do you know what server anaconda tried to run?  Also, what exactly did you
change in the XF86Config file?  Just DefaultColorDepth?
Comment 4 Sam Varshavchik 2001-01-24 18:25:35 EST
3.3.6 SVGA.  A change to DefaultColorDepth in the svga driver in XF86Config was
all that was needed.

Comment 5 Brent Fox 2001-01-30 17:35:23 EST
Does Xconfigurator generate a workable XF86Config file (i.e. 32 bpp)?
Comment 6 Sam Varshavchik 2001-01-30 21:39:26 EST
Not any more :-(  In Fisher, Xconfigurator suddenly decided to use X 4.0 for
this chipset.  Unfortunately, the driver in X 4.0 for this chipset is still

See bug #25364

Now, installing X 3.3.6, and using --preferxf3 to Xconfigurator produces other
interesting results. Selecting, as before "Generic 800x600 LCD panel" for the
monitor, and choosing 640x480 and 800x600 for the resolutions, now generates an
XF86Config with DefaultColorDepth set to 16. Xconfigurator decides to include a
single 1600x1200 resolution for this bit depth (which the chipset doesn't
support), however it does in fact generate a working 24bit section, with the
640x480 and 800x600 resolutions, as I requested.

So I now must merely change DefaultColorDepth from 16 to 24, in order for
everything to work (plus the --preferxf3 option).

Comment 7 Sam Varshavchik 2001-01-30 21:42:01 EST
Created attachment 8539 [details]
XF86Config for X 3.3.6 from Fisher. DefaultColorDepth in the "svga" section is the only problem.  It should be 24, as I requested.
Comment 8 Brent Fox 2001-02-07 19:16:57 EST
There is a problem with XFree 3 and that is that some cards will only work in 24
bpp and some will only work in 32bpp.  We don't have a way to know which is
correct until the X server runs (or fails to run).  I agree that this is a
problem, but I don't think we can fix it at this point.  Once the XFree 4
drivers for this card work correctly, I think this problem will go away.

Note You need to log in before you can comment on or make changes to this bug.